<?php
/**
 * $Id: finger.inc,v 1.26 2001/10/01 19:28:49 seth Exp $
 * Finger page.
 */

require_once('snitch.php');
global $planworld_user, $planworld_id, $planworld_target, $planworld_target_id;

if (isUser($planworld_target)) {
	$userinfo = getUserInfo($planworld_target);
	$remote = isRemoteUser($planworld_target_id);
}

if (!$remote && $userinfo) {
  $login_info = "<a href=\"http://note.amherst.edu/directory/results.php?t=a&uid={$planworld_target}\" target=\"_blank\" title=\"User Information\">{$planworld_target}</a>";
  if ($userinfo['Name']) {
	$login_info .= " (" . $userinfo['Name'];
	if ($userinfo['GradYear'])
	  $login_info .= " '" . $userinfo['GradYear'];
	$login_info .= ")";
  }
} else {
  $login_info = "{$planworld_target}";
}

if (!inPlanwatch($planworld_id, $planworld_target_id)) {
  $planwatch_add = "<a href=\"" . PW_URL_BASE . "add.php?add={$planworld_target}&trans=t\" title=\"Add {$planworld_target} to my planwatch\">(Add to my planwatch)</a>\n";
} else {
  $planwatch_add = "<a href=\"" . PW_URL_BASE . "add.php?add={$planworld_target}&trans=t&remove=t\" title=\"Remove {$planworld_target} from my planwatch\">(Remove from my planwatch)</a>\n";
}

if (!$remote) {
  $last_login = getLastLogin($planworld_target_id);

  if (!$planworld_target_id && !$userinfo) {
	$last_login = $last_update = "???";
	$plan_txt = "[Sorry, could not find \"{$planworld_target}\"]";
	$planwatch_add = '';
  } else if ((!$planworld_target_id || !$last_login)) {
	$last_login = $last_update = "Never";
	$plan_txt = "[No Plan]";
  } else if (!getLastUpdated($planworld_target_id)) {
	$last_login = getDisplayDate($last_login) . "";
	$last_update = "Never";
	$plan_txt = "[No Plan]";
  } else {
	$last_login = getDisplayDate($last_login);
	$last_update = getDisplayDate(getLastUpdated($planworld_target_id));
	$archive = getArchive($planworld_target_id);
	if ($archive == 'Y' || ($archive == 'P' && $planworld_id == $planworld_target_id)) {
	  $last_update .= " (<a href=\"" . PW_URL_INDEX . "?id=archiving&u={$planworld_target}\" title=\"Archives\">archives</a>)";
	}
	if ($HTTP_GET_VARS['d']) {
	  $plan_date = "\nDate posted: " . getDisplayDate($HTTP_GET_VARS['d']);
	}
  }
  $plan_head = "Login name: {$login_info}\nLast login: {$last_login}\nLast updated: {$last_update}{$plan_date}\nPlan:\n";
} else {
  $login_info = "{$planworld_target}";
  list($user, $host) = split('@', $planworld_target);
  if ($last_login = getDisplayDate(getLastLogin($user, $host, 'Y'), false)) {
    if (!($last_update = getDisplayDate(getLastUpdated($user, $host, 'Y')))) {
	  $last_update = 'Never';
	}
  } else if (getNodeInfo($host)) {
	$last_login = $last_update = '???';
	$plan_txt = "[Sorry, could not find \"{$planworld_target}\"]";
	$planwatch_add = '';
  }
  $plan_head = "Login name: {$login_info}\nLast login: {$last_login}\nLast updated: {$last_update}\nPlan:\n";
}

if (empty($plan_txt)) {
  list($plan_txt,$host,$type) = getPlanText($planworld_target_id, $HTTP_GET_VARS['d'], $HTTP_GET_VARS['r']);
  if (!$plan_txt && $host) {
    $plan_head = '';
    $planwatch_add = '';
    $plan_txt = "\n<strong>Error</strong>: Remote host ({$host}) could not be contacted. Please try again later.";
  } else if (!$plan_txt) {
    $plan_txt = "[No Plan]\n";
  }
  if ($type=='finger') {
    $plan = addLinks(wordwrap($plan_txt, 76, "\n", 1), $host);
  } else {
    $plan = $plan_head . addLinks(wordwrap($plan_txt, 76, "\n", 1), $host);
   }
} else {
  $plan = $plan_head . $plan_txt;
}

?>
<pre><?php echo $planwatch_add; ?>
<?php echo $plan; ?>
</pre>
