<?php
/**
 * $Id: snitch.inc,v 1.17 2001/10/07 17:53:36 seth Exp $
 * Snitch page.
 */

require_once('snitch.php');

$views = getSnitchViews($planworld_id, getSnitchNum($planworld_id), $HTTP_GET_VARS['o'], $HTTP_GET_VARS['d']);
$lastupdate = getLastUpdated($planworld_id);
$num_snitch = sizeof($views);
if ($views == -1) {
  $snitch_text = "<p>You must enable snitch to use this function.  Please <a href=\"" . PW_URL_INDEX . "?id=PREFS\" title=\"Edit your preferences\">edit your preferences</a>.</p>";
} else {
  if (!$views) {
	$snitch_text = "<p>No one has viewed your plan since you last enabled snitch.</p>";
  } else {
	$snitch_text = "<p>Your plan has had the following views by <strong>{$num_snitch}</strong> different people since you last enabled snitch (usernames with *'s refer to people who are on your planwatch):</p>";
  }
  if ($HTTP_GET_VARS['d'] == 'a') {
	$dir = 'd';
  } else {
	$dir = 'a';
  }
}
?>
                  <span class="subtitle">Snitch</span><br />
                  <p><?php echo $snitch_text; ?></p>
<?php if(is_array($views)) { ?>
                  <table cellpadding="0" cellspacing="0" align="center" border="0">
                    <tr>
                      <td class="border">
                        <table cellspacing="1" cellpadding="3" border="0">
                          <tr>
                            <td align="center" class="columnheader"><a class="columnheader" href="?id=snitch&o=u&d=<?php echo $dir; ?>" title="Sort by username">username</a></td>
                            <td align="center" class="columnheader"><a class="columnheader" href="?id=snitch&o=d&d=<?php echo $dir; ?>" title="Sort by most recently viewed">most recently viewed</a></td>
                            <td align="center" class="columnheader"><a class="columnheader" href="?id=snitch&o=v&d=<?php echo $dir; ?>" title="Sort by total views">total views</a></td>
                            <td align="center" class="columnheader">last update</td>
                          </tr>
<?php
foreach($views as $snitch) {
  if (((!isset($HTTP_GET_VARS['o']) || ($HTTP_GET_VARS['o'] == 'd' && $HTTP_GET_VARS['d'] == 'd')) && $lastupdate > $snitch['Date'] && ($lastupdate <= $last_view['Date'] || !isset($last_view))) || ($HTTP_GET_VARS['o'] == 'd' && $HTTP_GET_VARS['d'] == 'a' && $lastupdate < $snitch['Date'] && $lastupdate >= $last_view['Date'])) {
	$lastupdate = 0;
?>
                          <tr class="entry">
                            <td align="center" colspan="4"><strong>your last update</strong></td>
                          </tr>
<?php
  }  // if ($lastupdate > $views['lastUpdate']) 
?>
                          <tr class="entry">
                            <td align="left"><?php if ($snitch['InPlanwatch']) { echo "* "; } ?><a href="<?php echo PW_URL_INDEX; ?>?id=<?php echo $snitch['Name']; ?>" title="Finger <?php echo $snitch['Name']; ?>"><?php echo $snitch['Name']; ?></a></td>
                            <td align="center"><?php echo getDisplayDate($snitch['Date']); ?></td>
                            <td align="center"><?php echo $snitch['Views']; ?></td>
                            <td align="center"><?php echo getDisplayDate($snitch['LastUpdate'], false); ?></td>
                          </tr>
<?php
  $last_view = $snitch;
} // foreach($views as $snitch)
?>
                        </table>
                      </td>
                    </tr>
                  </table>
<?php } // if(isarray($views)) ?>
