<?php
/**
 * $Id: add.php,v 1.2 2001/07/04 14:55:52 seth Exp $
 * Add a user to your planwatch.
 */

// initialization
require_once('functions.php');
global $dbh;
list($planworld_user, $planworld_id, $planworld_target, $planworld_target_id) = initialize($note_user);

/*
incoming variables:
add    : user to add (name) (string / array)
list   : list of users to add (names) (multi-line string) (POST ONLY)
remove : remove this user (t/f)
trans  : do this transparently (t/f)
*/

/*
error codes:
1 : user not found
2 : one or more users not found
*/

if ($HTTP_GET_VARS) {
  $add = &$HTTP_GET_VARS['add'];
  if (strtolower($HTTP_GET_VARS['remove']) == 't') {
	if (is_array($add)) {
	  foreach ($add as $user) {
		if (isUser((int) $user)) {
		  removeFromPW((int) $user, $planworld_id, false);
		} else {
		  $error_message = "&err=2";
		}
	  }
	} else {
	  if (isUser($add)) {
		removeFromPW($add, $planworld_id, false);
	  } else {
		$error_message = "&err=1";
	  }
	  if ($HTTP_GET_VARS['trans'] == 't') {
		$url = PW_URL_INDEX . "?id=" . $add;
	  }
	}
  } else {
	// check if the user actually exists (or could exist)
	if (isUser($add) || getUserInfo($add)) {
	  addToPW($add, $planworld_id, false);
	} else {
	  $error_message = "&err=1";
	}
	if ($HTTP_GET_VARS['trans'] == 't') {
	  $url = PW_URL_INDEX . "?id=" . $add;
	}
  }
} else if ($HTTP_POST_VARS) {
  $list = &$HTTP_POST_VARS['list'];
  $users = explode ("\r\n", $list);

  foreach ($users as $user) {
	$user = trim($user);
	if ($user == '')
	  continue;
	if (isUser($user)) {
	  addToPW($user, $planworld_id, false);
	} else if (getUserInfo($user)) {
	  addToPW(addUser($user), $planworld_id, false);
	} else {
	  $error_message = "&err=2";
	}
  }
}

if (!$url) {
  $url = PW_URL_INDEX . "?id=edit_pw{$error_message}";
}

header("Location: {$url}\n");
exit();
?>