<?php
/**
 * $Id: archive.php,v 1.4 2001/06/06 17:49:02 seth Exp $
 * Planworld archiving functions functions.
 */

function getArchiveEntries ($user) {
  if (!defined('PW_ARCHIVE_ENABLE'))
    return false;
  $user = addslashes($user);

  // run rlog to get version information
  $dir = getcwd();
  chdir('./archives');
  exec("rlog -zLT {$user}", $log, $retcode);
  chdir($dir);

  // if it failed, no version information available
  if ($retcode != 0) {
    return false;
  }

  // loop through output and parse
  foreach ($log as $entry) {
    if (ereg('date', $entry)) {
      list($date, $null) = explode(';', $entry, 2);
      list($null, $date, $time) = explode(' ', $date);
      list($y, $m, $d) = explode('-', $date);
      list($h, $i, $s) = explode(':', $time);
      $info[] = mktime($h, $i, $s, $m, $d, $y);
    }
  }

  // returns an array of timestamps
  return $info;
}

function clearArchives ($username) {
  if (!defined('PW_ARCHIVE_ENABLE'))
    return false;
  $dir = getcwd();
  chdir('./archives/RCS');
  unlink("./{$username},v");
  chdir($dir);
}

?>