<?php
/**
 * $Id: stats.inc,v 1.21 2001/10/01 19:28:49 seth Exp $
 * Statistics page.
 */

require_once('stats.php');

$total_views = getTotalPlanViews();
$personal_views = getNumViews($planworld_id);
?>

<span class="subtitle">Statistics</span><br />
<p>There have been a total of <strong>
<?php echo number_format(getNumHits()); ?></strong> hits since <?php echo PW_INCEPTION; ?>.<br />
<strong><?php echo number_format(getNumPlanners()); ?></strong> users exist in planWorld.<br />
<strong><?php echo number_format(getNumHaveLoggedIn()); ?></strong> users have logged in to planWorld;
<strong><?php echo number_format(getNumPlans()); ?></strong> of these users have plans.<br />
<?php
if (defined('PW_SNITCH_ENABLE')) {
?>
<strong><?php echo number_format(getNumSnitchRegistered()); ?></strong> are snitch registered.<br />
<?php
} // if (defined('PW_SNITCH_ENABLE'))
?>
<strong><?php echo number_format(getNumNew()); ?></strong> plans have been updated in the past 24 hours,
<strong><?php echo number_format(getNumNew(604800)); ?></strong> in the past week.<br />
<strong><?php echo number_format(getNumHaveLoggedIn(86400)); ?></strong> people have logged in in the past 24 hours,
<strong><?php echo number_format(getNumHaveLoggedIn(604800)); ?></strong> in the past week.</p>


<p>Throughout planWorld, there have been <strong><?php echo number_format($total_views); ?></strong> plan views.</p>
<?php
if ($total_views == 0)
  $total_views = 1;
?>
<p>Your plan has been viewed <strong><?php echo number_format($personal_views); ?></strong> times and accounts for <strong><?php echo round(($personal_views / $total_views) * 100, 2); ?>%</strong> of the total.</p>

<p>There are a total of <strong><?php echo number_format(getNumCookies()); ?></strong> cookies, <strong><?php echo number_format(getNumUserCookies()); ?></strong> of which were submitted by planWorld users.</p>
