<?php
/**
 * $Id: parser.php,v 1.28 2001/07/04 14:55:53 seth Exp $
 * Plan parser.
 * Inserts changed plans into the database after filtering.
 */

// initialization
require_once('functions.php');

global $dbh;

list($planworld_user, $planworld_id, $planworld_target, $planworld_target_id) = initialize($note_user);

// allows lone <'s and <'s
$ptext = $HTTP_POST_VARS['ptext'];
$ptext = preg_replace("/<([^a-z\/\"'])/is", "&lt;\\1", $ptext);
$ptext = preg_replace("/([^a-z0-9\"'%\/])>/is", "\\1&gt;", $ptext);

// strip bad tags
$ptext = strip_tags($ptext, PW_ALLOWED_TAGS);

if (isset($HTTP_POST_VARS['preview'])) {
  $planworld_target = 'preview';
  include('./layout/' . PW_LAYOUT . '/outline.inc');
} else if (isset($HTTP_POST_VARS['cancel'])) {
  header("Location: " . PW_URL_INDEX . "?id={$planworld_user}\n");
  exit();
} else if (isset($HTTP_POST_VARS['post'])) {
  include ('./layout/' . PW_LAYOUT . '/saving.inc');

  // do archiving (XXX move to a function)
  $archive = getArchive($planworld_id);
  if ($archive == 'Y' || $archive == 'P') {
	// update the archives if archiving is on (private or public)
	$dir = getcwd();
	chdir('./archives');
	$tmpdir = getenv('TMPDIR');
	putenv('TMPDIR=' . PW_TMP_DIR);
	exec("co -l {$planworld_user}");
	$fp = fopen ("./{$planworld_user}", "w");
	fputs($fp, $ptext);
	fclose($fp);
	exec("ci -m. {$planworld_user}");
	putenv("TMPDIR=$tmpdir");
	chdir($dir);
  }

  // do snoop
  $SQL = "SELECT planText FROM plan WHERE userId='{$planworld_id}' LIMIT 1";
  $result = mysql_query($SQL, $dbh);
  $row = mysql_fetch_row($result);
  snoop($planworld_id, $ptext, $row[0]);
  mysql_free_result($result);

  $SQL = "REPLACE INTO plan (userId, planText) VALUES ('{$planworld_id}', '" . addslashes($ptext) . "')";
  mysql_query($SQL, $dbh);
  
  $SQL = "UPDATE users SET lastUpdate=UNIX_TIMESTAMP(NOW()) WHERE id='{$planworld_id}'";
  mysql_query($SQL, $dbh);
}
?>
