<?php

/**
 * $Id: stats.php,v 1.8 2001/10/27 16:07:42 seth Exp $
 * Statistics functions.
 */

//-------------------------------------------------------------
function getNumPlanners() {
  // returns the number of total users in database
  global $dbh;
  
  $SQL = "SELECT COUNT(*) from users";
  $result = mysql_query($SQL, $dbh);
  $row = mysql_fetch_row($result);
  return $row[0];
}
//-------------------------------------------------------------

//-------------------------------------------------------------
function getNumHits() {
  // returns the number of total hits thus far (a hit occurs
  // when a user authenticates).
  global $dbh;
  
  $SQL = "SELECT totalhits FROM globalstats";
  $result = mysql_query($SQL, $dbh);
  $row = mysql_fetch_row($result);
  return $row[0];
}
//-------------------------------------------------------------

//------------------------------------------------------------
function getNumViews($id) {
  global $dbh;
  // given a user ID, returns their # of hits
  
  $SQL = "SELECT totalViews FROM users WHERE id='{$id}'";
  $result = mysql_query($SQL, $dbh);
  $row = mysql_fetch_row($result);
  return $row[0];
}
//------------------------------------------------------------

//------------------------------------------------------------
function getNumHaveLoggedIn($since='') {
   // returns the number of people who have logged in
   global $dbh;

   if (!empty($since)) {
     $SQL = "SELECT count(*) FROM users WHERE remote='N' AND LastOn > (UNIX_TIMESTAMP(NOW()) - {$since})";
   } else {
     $SQL = "SELECT count(*) FROM users WHERE remote='N' AND LastOn > 0";
   }
   $result = mysql_query($SQL, $dbh);
   $row = mysql_fetch_row($result);
   $num = (int) $row[0];
   mysql_free_result($result);
   return $num;
}
//------------------------------------------------------------

//------------------------------------------------------------

function getNumSnitchRegistered () {
  // returns the number of users that are snitch registered

  if (!defined('PW_SNITCH_ENABLE'))
    return false;
  global $dbh;

  $SQL = "SELECT COUNT(*) FROM users WHERE snitch='Y'";
  $result = mysql_query($SQL, $dbh);
  $row = mysql_fetch_row($result);
  $num = (int) $row[0];
  mysql_free_result($result);
  return $num;
}

//-------------------------------------------------------------

//-------------------------------------------------------------
//-------------------------------------------------------------

function getNumNew ($since=86400) {
  // returns the number of plans that have been updated in the
  // past 24 hours
  global $dbh;
  
  $num = addslashes($since);
  $SQL = "SELECT COUNT(*) FROM users WHERE remote='N' AND lastUpdate > (UNIX_TIMESTAMP(NOW()) - {$since})";
  $result = mysql_query($SQL, $dbh);
  $row = mysql_fetch_row($result);
  $num = (int) $row[0];
  mysql_free_result($result);
  return $num;
}
//-------------------------------------------------------------

//-------------------------------------------------------------

function getNumPlans () {
  // returns the total number of plans
  global $dbh;

  $SQL = "SELECT COUNT(*) FROM plan";
  $result = mysql_query($SQL, $dbh);
  $row = mysql_fetch_row($result);
  $num = (int) $row[0];
  mysql_free_result($result);
  return $num;
}
//------------------------------------------------------------

//------------------------------------------------------------
function getTotalPlanViews() {
  // returns the total number of plan views
  global $dbh;

  $SQL = "SELECT SUM(totalViews) FROM users";
  $result = mysql_query($SQL, $dbh);;
  $row = mysql_fetch_row($result);
  $num = (int) $row[0];
  mysql_free_result($result);
  return $num;
}
//------------------------------------------------------------

//------------------------------------------------------------

function getThemes () {
  // returns the number of themes being used
  // result is in an array; the array index corresponds to the
  // theme, with the value as the number of people using said
  // theme

  global $dbh;

  require_once('functions.php');
  $themes = getThemeList(1);
  // XXX TODO : dynamic!

  $SQL = "SELECT count(*) FROM users WHERE themeID = '1'";
  $result = mysql_query($SQL, $dbh);
  $row = mysql_fetch_row($result);
  $std = $row[0];
  mysql_free_result($result);

  $SQL = "SELECT count(*) FROM users WHERE themeID = '2'";
  $result = mysql_query($SQL, $dbh);
  $row = mysql_fetch_row($result);
  $metal = $row[0];
  mysql_free_result($result);

  $SQL = "SELECT count(*) FROM users WHERE themeID = '3'";
  $result = mysql_query($SQL, $dbh);
  $row = mysql_fetch_row($result);
  $meadow = $row[0];
  mysql_free_result($result);

  $SQL = "SELECT count(*) FROM users WHERE themeID = '6'";
  $result = mysql_query($SQL, $dbh);
  $row = mysql_fetch_row($result);
  $night = $row[0];
  mysql_free_result($result);

  $SQL = "SELECT count(*) FROM users WHERE themeID = '9'";
  $result = mysql_query($SQL, $dbh);
  $row = mysql_fetch_row($result);
  $soy = $row[0];
  mysql_free_result($result);
  
  $themes = array ($std, $metal, $meadow, $night, $soy);
  return $themes;
}
//------------------------------------------------------------

//------------------------------------------------------------
function getNumCookies () {
  // returns number of cookies in dB
  
  $SQL = "SELECT count(*) FROM cookies";
  $result = mysql_query($SQL);
  $row = mysql_fetch_row($result);
  mysql_free_result($result);
  return $row[0];
}

//------------------------------------------------------------

//------------------------------------------------------------
function getNumUserCookies () {
  // returns number of cookies in dB that were user generated
 
  $SQL = "SELECT count(*) FROM cookies WHERE submittedBy != ''";
  $result = mysql_query($SQL);
  $row = mysql_fetch_row($result);
  mysql_free_result($result);
  return $row[0];
}
//------------------------------------------------------------

?>
